Loading...
Searching...
No Matches
fastjet::CASubJetTaggerStructure Class Reference
FastJet tools » Taggers

the structure returned by a CASubJetTagger More...

`#include <fastjet/tools/CASubJetTagger.hh>`

Inheritance diagram for fastjet::CASubJetTaggerStructure:
[legend]
Collaboration diagram for fastjet::CASubJetTaggerStructure:
[legend]

## Public Member Functions

| CASubJetTaggerStructure (const PseudoJet &result_jet)
| default ctor
CASubJetTagger::ScaleChoice | scale_choice () const
| returns the scale choice asked for the maximisation
double | distance () const
| returns the value of the distance measure (corresponding to ScaleChoice) for this jet's splitting
double | z () const
| returns the pt fraction contained by the softer of the two component pieces of this jet (normalised relative to this jet)
bool | absolute_z () const
| returns the pt fraction contained by the softer of the two component pieces of this jet (normalised relative to the original jet)
Public Member Functions inherited from fastjet::WrappedStructure
| WrappedStructure (const SharedPtr< PseudoJetStructureBase > &to_be_shared)
| default ctor the argument is the structure we need to wrap
virtual | ~WrappedStructure ()
| default (virtual) dtor
virtual std::string | description () const override
| description
virtual bool | has_associated_cluster_sequence () const override
| returns true if there is an associated ClusterSequence
virtual const ClusterSequence * | associated_cluster_sequence () const override
| get a (const) pointer to the parent ClusterSequence (NULL if inexistent)
virtual bool | has_valid_cluster_sequence () const override
| returns true if this PseudoJet has an associated and still valid ClusterSequence.
virtual const ClusterSequence * | validated_cs () const override
| if the jet has a valid associated cluster sequence then return a pointer to it; otherwise throw an error
virtual const ClusterSequenceAreaBase * | validated_csab () const override
| if the jet has valid area information then return a pointer to the associated ClusterSequenceAreaBase object; otherwise throw an error
virtual bool | has_partner (const PseudoJet &reference, PseudoJet &partner) const override
| check if it has been recombined with another PseudoJet in which case, return its partner through the argument.
virtual bool | has_child (const PseudoJet &reference, PseudoJet &child) const override
| check if it has been recombined with another PseudoJet in which case, return its child through the argument.
virtual bool | has_parents (const PseudoJet &reference, PseudoJet &parent1, PseudoJet &parent2) const override
| check if it is the product of a recombination, in which case return the 2 parents through the 'parent1' and 'parent2' arguments.
virtual bool | object_in_jet (const PseudoJet &reference, const PseudoJet &jet) const override
| check if the reference PseudoJet is contained the second one passed as argument.
virtual bool | has_constituents () const override
| return true if the structure supports constituents.
virtual std::vector< PseudoJet > | constituents (const PseudoJet &reference) const override
| retrieve the constituents.
virtual bool | has_exclusive_subjets () const override
| return true if the structure supports exclusive_subjets.
virtual std::vector< PseudoJet > | exclusive_subjets (const PseudoJet &reference, const double &dcut) const override
| return a vector of all subjets of the current jet (in the sense of the exclusive algorithm) that would be obtained when running the algorithm with the given dcut.
virtual int | n_exclusive_subjets (const PseudoJet &reference, const double &dcut) const override
| return the size of exclusive_subjets(...); still n ln n with same coefficient, but marginally more efficient than manually taking exclusive_subjets.size()
virtual std::vector< PseudoJet > | exclusive_subjets_up_to (const PseudoJet &reference, int nsub) const override
| return the list of subjets obtained by unclustering the supplied jet down to n subjets (or all constituents if there are fewer than n).
virtual double | exclusive_subdmerge (const PseudoJet &reference, int nsub) const override
| return the dij that was present in the merging nsub+1 -> nsub subjets inside this jet.
virtual double | exclusive_subdmerge_max (const PseudoJet &reference, int nsub) const override
| return the maximum dij that occurred in the whole event at the stage that the nsub+1 -> nsub merge of subjets occurred inside this jet.
virtual bool | has_pieces (const PseudoJet &reference) const override
| return true if the structure supports pieces.
virtual std::vector< PseudoJet > | pieces (const PseudoJet &reference) const override
| retrieve the pieces building the jet.
virtual bool | has_area () const override
| check if it has a defined area
virtual double | area (const PseudoJet &reference) const override
| return the jet (scalar) area.
virtual double | area_error (const PseudoJet &reference) const override
| return the error (uncertainty) associated with the determination of the area of this jet.
virtual PseudoJet | area_4vector (const PseudoJet &reference) const override
| return the jet 4-vector area.
virtual bool | is_pure_ghost (const PseudoJet &reference) const override
| true if this jet is made exclusively of ghosts.
Public Member Functions inherited from fastjet::PseudoJetStructureBase
| PseudoJetStructureBase ()
| default ctor
virtual | ~PseudoJetStructureBase ()
| default (virtual) dtor

## Protected Attributes

CASubJetTagger::ScaleChoice | _scale_choice
| the user scale choice
double | _distance
| the maximal distance associated with the result
bool | _absolute_z
| whether z is computed wrt to the original jet or not
double | _z
| the transverse momentum fraction
SharedPtr< PseudoJetStructureBase > | _structure
| the wrapped structure

## Friends

class | CASubJetTagger
| to allow setting the internal information

## Detailed Description

the structure returned by a CASubJetTagger

Since this is directly an element of the ClusterSequence, we keep basically the original ClusterSequenceStructure (wrapped for memory-management reasons) and add information about the pt fraction and distance of the subjet structure

Definition at line 188 of file CASubJetTagger.hh.

## Constructor & Destructor Documentation

## CASubJetTaggerStructure()

fastjet::CASubJetTaggerStructure::CASubJetTaggerStructure | ( | const PseudoJet & | result_jet | ) |

inline

default ctor

Parameters

  result_jet | the jet for which we have to keep the structure

Definition at line 193 of file CASubJetTagger.hh.

## Member Function Documentation

## scale_choice()

CASubJetTagger::ScaleChoice fastjet::CASubJetTaggerStructure::scale_choice | ( |  | ) | const

inline

returns the scale choice asked for the maximisation

Definition at line 197 of file CASubJetTagger.hh.

## distance()

double fastjet::CASubJetTaggerStructure::distance | ( |  | ) | const

inline

returns the value of the distance measure (corresponding to ScaleChoice) for this jet's splitting

Definition at line 201 of file CASubJetTagger.hh.

## z()

double fastjet::CASubJetTaggerStructure::z | ( |  | ) | const

inline

returns the pt fraction contained by the softer of the two component pieces of this jet (normalised relative to this jet)

Definition at line 205 of file CASubJetTagger.hh.

## absolute_z()

bool fastjet::CASubJetTaggerStructure::absolute_z | ( |  | ) | const

inline

returns the pt fraction contained by the softer of the two component pieces of this jet (normalised relative to the original jet)

Definition at line 209 of file CASubJetTagger.hh.

## Friends And Related Symbol Documentation

## CASubJetTagger

friend class CASubJetTagger

friend

to allow setting the internal information

Definition at line 221 of file CASubJetTagger.hh.

## Member Data Documentation

## _scale_choice

CASubJetTagger::ScaleChoice fastjet::CASubJetTaggerStructure::_scale_choice

protected

the user scale choice

Definition at line 215 of file CASubJetTagger.hh.

## _distance

double fastjet::CASubJetTaggerStructure::_distance

protected

the maximal distance associated with the result

Definition at line 216 of file CASubJetTagger.hh.

## _absolute_z

bool fastjet::CASubJetTaggerStructure::_absolute_z

protected

whether z is computed wrt to the original jet or not

Definition at line 217 of file CASubJetTagger.hh.

## _z

double fastjet::CASubJetTaggerStructure::_z

protected

the transverse momentum fraction

Definition at line 218 of file CASubJetTagger.hh.

The documentation for this class was generated from the following file:

- tools/fastjet/tools/CASubJetTagger.hh